Blog at code.hicapacity.org
Ruby
Switch branches/tags
Nothing to show
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
_includes
_layouts
_plugins
_posts
css
img
js
lib
.gitignore
README.md
_config.yml
index.html

README.md

Overview

Jekyll based site for code.hicapacity.org.

Development

Jekyll is needed to generate the site. Install it..

$ gem install jekyll
$ gem install rdiscount

Run the site locally:

$ jekyll --server

Tip: Use the --auto flag during development to automatically regenerate the site when files are modified.

$ jekyll --server --auto

See https://github.com/mojombo/jekyll/wiki/configuration for all configuration options.

Pygments is used heavily for syntax coloring of code. This also needs to be installed. Note that Pygments is a Python syntax highlighter so therefore Python will also need to be installed. If this is not installed and working properly code on the site will not be colored.

See https://github.com/mojombo/jekyll/wiki/install to see how to install Pygments (there are no Windows instructions).

Please make sure gems are at least the versions listed below or there may be issues with Pygments:

  • Jekyll (0.11.2)
  • Liquid (2.3.0)

Contact

Github: wangbus Twitter: @wangbus